package jp.sourceforge.shovel.device;

import org.jivesoftware.smack.ChatManagerListener;
import org.jivesoftware.smack.MessageListener;

public interface IXmppWrapper
    extends IDelayExecutor, ChatManagerListener, MessageListener {
    
    String getHost();
    String getUserId();
    String getPassword();
    int getPort();
}
